VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vapi::Protocol::HttpConfiguration Class Reference

## Classes
class | Builder
class | SslConfiguration

## Avaliable Methods
public method | get_library_type ()
public method | get_io_thread_count ()
public method | get_ssl_configuration ()
public method | get_sso_timeout ()
public method | new ()

## Member Function Documentation

public method Com::Vmware::Vapi::Protocol::HttpConfiguration::get_io_thread_count | ( |  | ) |

Get IO Threads

Parameters

  None |

Return values

  io_thread_count | Returns the number of I/ O dispatch threads to be used by the I / O reactor

Code:
click to view
# Number of lines of code in get_io_thread_count: 4
sub get_io_thread_count {
my ( $self, %args ) = @_;
return $self->{'io_thread_count'};
}

public method Com::Vmware::Vapi::Protocol::HttpConfiguration::get_library_type | ( |  | ) |

Get Library type

Parameters

  None |

Return values

  library_type | Returns the type of the HTTP library Can be null

Code:
click to view
# Number of lines of code in get_library_type: 4
sub get_library_type {
my ( $self, %args ) = @_;
return $self->{'library_type'};
}

public method Com::Vmware::Vapi::Protocol::HttpConfiguration::get_ssl_configuration | ( |  | ) |

Get SSL Configurations

Parameters

  None |

Return values

  ssl_config | Returns the SSL configuration Can be null

Code:
click to view
# Number of lines of code in get_ssl_configuration: 4
sub get_ssl_configuration {
my ( $self, %args ) = @_;
return $self->{'ssl_config'};
}

public method Com::Vmware::Vapi::Protocol::HttpConfiguration::get_sso_timeout | ( |  | ) |

Get timeout

Parameters

  None |

Return values

  sso_timeout | Returns the amount of time in milliseconds, the client should wait for a response before specified time out

Code:
click to view
# Number of lines of code in get_sso_timeout: 4
sub get_sso_timeout {
my ( $self, %args ) = @_;
return $self->{'sso_timeout'};
}

public method Com::Vmware::Vapi::Protocol::HttpConfiguration::new | ( |  | ) |

Constructor

Parameters

  library_type |
  ssl_config |
  io_thread_count |
  sso_timeout |

Return values

  Blessed object | Code: click to view # Number of lines of code in new: 11 sub new { my ( $class, %args ) = @_; my $self = {}; $self->{'library_type'} = $args{'library_type'}; $self->{'ssl_config'} = $args{'ssl_config'}; $self->{'io_thread_count'} = $args{'io_thread_count'}; $self->{'sso_timeout'} = $args{'sso_timeout'}; return bless( $self, $class ); }

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Protocol/HttpConfiguration.pm